<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <roleRef roleURI="http://arimarealestatesocimisa.com/xbrl/2021/roles/EstadoDeSituacionFinanciera" xlink:href="959800k5r280dp2b5694-2022-12-31.xsd#EstadoDeSituacionFinanciera" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://arimarealestatesocimisa.com/xbrl/2021/roles/Resultado" xlink:href="959800k5r280dp2b5694-2022-12-31.xsd#Resultado" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://arimarealestatesocimisa.com/xbrl/2021/roles/EstadoDeResultadoGlobal" xlink:href="959800k5r280dp2b5694-2022-12-31.xsd#EstadoDeResultadoGlobal" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://arimarealestatesocimisa.com/xbrl/2021/roles/EstadoDeFlujosDeEfectivo" xlink:href="959800k5r280dp2b5694-2022-12-31.xsd#EstadoDeFlujosDeEfectivo" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://arimarealestatesocimisa.com/xbrl/2021/roles/EstadoDeCambiosEnElPatrimonioNeto" xlink:href="959800k5r280dp2b5694-2022-12-31.xsd#EstadoDeCambiosEnElPatrimonioNeto" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <calculationLink xlink:role="http://arimarealestatesocimisa.com/xbrl/2021/roles/EstadoDeSituacionFinanciera" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentDerivativeFinancialAssets" xlink:label="ifrs-full_NoncurrentDerivativeFinancialAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherReserves" xlink:label="ifrs-full_OtherReserves" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ReserveOfCashFlowHedges" xlink:label="ifrs-full_ReserveOfCashFlowHedges" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentAssets" xlink:label="ifrs-full_CurrentAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers" xlink:label="ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentDerivativeFinancialLiabilities" xlink:label="ifrs-full_NoncurrentDerivativeFinancialLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherCurrentFinancialLiabilities" xlink:label="ifrs-full_OtherCurrentFinancialLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentInterestPayable" xlink:label="ifrs-full_CurrentInterestPayable" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:label="ifrs-full_CurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="ifrs-full_TradeAndOtherCurrentReceivables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherNoncurrentAssets" xlink:label="ifrs-full_OtherNoncurrentAssets" />
    <loc xlink:type="locator" xlink:href="959800k5r280dp2b5694-2022-12-31.xsd#arimarealestatesocimisa_Personal" xlink:label="arimarealestatesocimisa_Personal" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IssuedCapital" xlink:label="ifrs-full_IssuedCapital" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:label="ifrs-full_TradeAndOtherCurrentPayables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherCurrentNonfinancialAssets" xlink:label="ifrs-full_OtherCurrentNonfinancialAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Assets" xlink:label="ifrs-full_Assets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="ifrs-full_NoncurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherNoncurrentFinancialLiabilities" xlink:label="ifrs-full_OtherNoncurrentFinancialLiabilities" />
    <loc xlink:type="locator" xlink:href="959800k5r280dp2b5694-2022-12-31.xsd#arimarealestatesocimisa_ResultadoDelEjercicioContable" xlink:label="arimarealestatesocimisa_ResultadoDelEjercicioContable" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InvestmentProperty" xlink:label="ifrs-full_InvestmentProperty" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentReceivablesFromRentalOfProperties" xlink:label="ifrs-full_CurrentReceivablesFromRentalOfProperties" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherNoncurrentFinancialAssets" xlink:label="ifrs-full_OtherNoncurrentFinancialAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherCurrentFinancialAssets" xlink:label="ifrs-full_OtherCurrentFinancialAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:label="ifrs-full_NoncurrentAssets" />
    <loc xlink:type="locator" xlink:href="959800k5r280dp2b5694-2022-12-31.xsd#arimarealestatesocimisa_InversionesFinancierasALargoPlazo" xlink:label="arimarealestatesocimisa_InversionesFinancierasALargoPlazo" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:label="ifrs-full_EquityAndLiabilities" />
    <loc xlink:type="locator" xlink:href="959800k5r280dp2b5694-2022-12-31.xsd#arimarealestatesocimisa_CreditosATerceros" xlink:label="arimarealestatesocimisa_CreditosATerceros" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="ifrs-full_PropertyPlantAndEquipment" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentPortionOfNoncurrentSecuredBankLoansReceived" xlink:label="ifrs-full_NoncurrentPortionOfNoncurrentSecuredBankLoansReceived" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TreasuryShares" xlink:label="ifrs-full_TreasuryShares" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherCurrentReceivables" xlink:label="ifrs-full_OtherCurrentReceivables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:label="ifrs-full_IntangibleAssetsOtherThanGoodwill" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentTradeReceivables" xlink:label="ifrs-full_CurrentTradeReceivables" />
    <loc xlink:type="locator" xlink:href="959800k5r280dp2b5694-2022-12-31.xsd#arimarealestatesocimisa_SubvencionesOficialesNoCorrientesBalance" xlink:label="arimarealestatesocimisa_SubvencionesOficialesNoCorrientesBalance" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherCurrentLiabilities" xlink:label="ifrs-full_OtherCurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherEquityInterest" xlink:label="ifrs-full_OtherEquityInterest" />
    <loc xlink:type="locator" xlink:href="959800k5r280dp2b5694-2022-12-31.xsd#arimarealestatesocimisa_OtrosCreditosConLasAdministracionesPublicas" xlink:label="arimarealestatesocimisa_OtrosCreditosConLasAdministracionesPublicas" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_SharePremium" xlink:label="ifrs-full_SharePremium" />
    <calculationArc xlink:type="arc" xlink:from="arimarealestatesocimisa_InversionesFinancierasALargoPlazo" xlink:to="arimarealestatesocimisa_CreditosATerceros" order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="arimarealestatesocimisa_InversionesFinancierasALargoPlazo" xlink:to="ifrs-full_OtherNoncurrentFinancialAssets" order="11" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="arimarealestatesocimisa_InversionesFinancierasALargoPlazo" xlink:to="ifrs-full_NoncurrentDerivativeFinancialAssets" order="10" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_IntangibleAssetsOtherThanGoodwill" order="5" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_PropertyPlantAndEquipment" order="6" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_InvestmentProperty" order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="arimarealestatesocimisa_InversionesFinancierasALargoPlazo" order="8" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_OtherNoncurrentAssets" order="12" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_TradeAndOtherCurrentReceivables" xlink:to="ifrs-full_CurrentReceivablesFromRentalOfProperties" order="16" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_TradeAndOtherCurrentReceivables" xlink:to="ifrs-full_CurrentTradeReceivables" order="17" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_TradeAndOtherCurrentReceivables" xlink:to="ifrs-full_OtherCurrentReceivables" order="18" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_TradeAndOtherCurrentReceivables" xlink:to="arimarealestatesocimisa_OtrosCreditosConLasAdministracionesPublicas" order="19" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_OtherCurrentFinancialAssets" order="21" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_OtherCurrentNonfinancialAssets" order="20" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_CashAndCashEquivalents" order="23" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_TradeAndOtherCurrentReceivables" order="15" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_NoncurrentAssets" order="13" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_CurrentAssets" order="24" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_IssuedCapital" order="5" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_SharePremium" order="6" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_OtherReserves" order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="arimarealestatesocimisa_ResultadoDelEjercicioContable" order="8" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_TreasuryShares" order="10" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_ReserveOfCashFlowHedges" order="11" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_OtherEquityInterest" order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="arimarealestatesocimisa_SubvencionesOficialesNoCorrientesBalance" order="12" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="ifrs-full_NoncurrentPortionOfNoncurrentSecuredBankLoansReceived" order="15" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="ifrs-full_NoncurrentDerivativeFinancialLiabilities" order="16" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="ifrs-full_OtherNoncurrentFinancialLiabilities" order="17" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_TradeAndOtherCurrentPayables" xlink:to="ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers" order="23" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_TradeAndOtherCurrentPayables" xlink:to="arimarealestatesocimisa_Personal" order="24" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_TradeAndOtherCurrentPayables" xlink:to="ifrs-full_OtherCurrentLiabilities" order="25" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_CurrentInterestPayable" order="20" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_OtherCurrentFinancialLiabilities" order="21" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_TradeAndOtherCurrentPayables" order="22" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_EquityAndLiabilities" xlink:to="ifrs-full_Equity" order="13" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_EquityAndLiabilities" xlink:to="ifrs-full_NoncurrentLiabilities" order="18" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_EquityAndLiabilities" xlink:to="ifrs-full_CurrentLiabilities" order="26" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
  </calculationLink>
  <calculationLink xlink:role="http://arimarealestatesocimisa.com/xbrl/2021/roles/Resultado" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceIncome" xlink:label="ifrs-full_FinanceIncome" />
    <loc xlink:type="locator" xlink:href="959800k5r280dp2b5694-2022-12-31.xsd#arimarealestatesocimisa_ResultadoFinanciero" xlink:label="arimarealestatesocimisa_ResultadoFinanciero" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceCosts" xlink:label="ifrs-full_FinanceCosts" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ifrs-full_ProfitLossFromOperatingActivities" />
    <loc xlink:type="locator" xlink:href="959800k5r280dp2b5694-2022-12-31.xsd#arimarealestatesocimisa_VariacionEnElValorRazonableDeLasInversionesInmobiliarias" xlink:label="arimarealestatesocimisa_VariacionEnElValorRazonableDeLasInversionesInmobiliarias" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:label="ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" />
    <loc xlink:type="locator" xlink:href="959800k5r280dp2b5694-2022-12-31.xsd#arimarealestatesocimisa_ResultadoDelEjercicio" xlink:label="arimarealestatesocimisa_ResultadoDelEjercicio" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RentalIncome" xlink:label="ifrs-full_RentalIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:label="ifrs-full_EmployeeBenefitsExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherIncome" xlink:label="ifrs-full_OtherIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ServicesExpense" xlink:label="ifrs-full_ServicesExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" order="12" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_RentalIncome" order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="arimarealestatesocimisa_VariacionEnElValorRazonableDeLasInversionesInmobiliarias" order="8" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_EmployeeBenefitsExpense" order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_ServicesExpense" order="11" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_OtherIncome" order="10" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="arimarealestatesocimisa_ResultadoFinanciero" xlink:to="ifrs-full_FinanceIncome" order="14" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="arimarealestatesocimisa_ResultadoFinanciero" xlink:to="ifrs-full_FinanceCosts" order="15" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_ProfitLossFromOperatingActivities" order="13" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="arimarealestatesocimisa_ResultadoFinanciero" order="16" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="arimarealestatesocimisa_ResultadoDelEjercicio" xlink:to="ifrs-full_ProfitLossBeforeTax" order="17" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="arimarealestatesocimisa_ResultadoDelEjercicio" xlink:to="ifrs-full_IncomeTaxExpenseContinuingOperations" order="18" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
  </calculationLink>
  <calculationLink xlink:role="http://arimarealestatesocimisa.com/xbrl/2021/roles/EstadoDeResultadoGlobal" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="ifrs-full_OtherComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GainsLossesOnCashFlowHedgesNetOfTax" xlink:label="ifrs-full_GainsLossesOnCashFlowHedgesNetOfTax" />
    <loc xlink:type="locator" xlink:href="959800k5r280dp2b5694-2022-12-31.xsd#arimarealestatesocimisa_SubvencionesOficialesNoCorrientes" xlink:label="arimarealestatesocimisa_SubvencionesOficialesNoCorrientes" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:to="ifrs-full_GainsLossesOnCashFlowHedgesNetOfTax" order="10" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" xlink:to="arimarealestatesocimisa_SubvencionesOficialesNoCorrientes" order="11" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncome" xlink:to="ifrs-full_OtherComprehensiveIncomeNetOfTaxCashFlowHedges" order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncome" xlink:to="ifrs-full_OtherComprehensiveIncomeNetOfTaxGainsLossesFromInvestmentsInEquityInstruments" order="12" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_ProfitLoss" order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_OtherComprehensiveIncome" order="13" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
  </calculationLink>
  <calculationLink xlink:role="http://arimarealestatesocimisa.com/xbrl/2021/roles/EstadoDeFlujosDeEfectivo" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInOtherCurrentAssets" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInOtherCurrentAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInOtherCurrentLiabilities" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInOtherCurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:label="ifrs-full_IncreaseDecreaseInWorkingCapital" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsOperatingActivities" xlink:label="ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForReconcileProfitLoss" xlink:label="ifrs-full_AdjustmentsForReconcileProfitLoss" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" order="19" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInOtherCurrentAssets" order="20" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:to="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" order="21" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:to="ifrs-full_AdjustmentsForIncreaseDecreaseInOtherCurrentLiabilities" order="22" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInWorkingCapital" xlink:to="ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsOperatingActivities" order="23" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="-1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_IncreaseDecreaseInWorkingCapital" order="18" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_ProfitLoss" order="9" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_AdjustmentsForReconcileProfitLoss" order="10" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="ifrs-full_CashFlowsFromUsedInOperatingActivities" order="24" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="ifrs-full_CashFlowsFromUsedInInvestingActivities" order="32" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="ifrs-full_CashFlowsFromUsedInFinancingActivities" order="43" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
  </calculationLink>
  <calculationLink xlink:role="http://arimarealestatesocimisa.com/xbrl/2021/roles/EstadoDeCambiosEnElPatrimonioNeto" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="ifrs-full_OtherComprehensiveIncome" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_ProfitLoss" order="7" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
    <calculationArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_OtherComprehensiveIncome" order="8" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" priority="1" weight="1.0" />
  </calculationLink>
</linkbase>